function parametros_pam




persistent postloadFlag;
if isempty(postloadFlag)
    postloadFlag = true;
else
    if postloadFlag
        postloadFlag = false;
        return
    end
end




settingsBlock = [bdroot '/Subsystem'];
[fm] = getSettings(settingsBlock,'fm');
[amp] = getSettings(settingsBlock,'amp');
[fs] = getSettings(settingsBlock,'fs');
[niveis] = getSettings(settingsBlock,'niveis');
[fc] = getSettings(settingsBlock,'fc');
[ordem] = getSettings(settingsBlock,'ordem');
[pico] = getSettings(settingsBlock,'pico');

p.amp = amp;
p.fm = fm;
p.fs = fs;
p.fs10 = fs*10;
p.ordem = ordem;
p.fc = fc;
p.niveis = niveis;
p.pico = pico;
 
%Assign variables to base workspace
 assignin('base','p',p);



 function varargout = getSettings(settingsBlock, varargin)

 varargout = cell(size(varargin));

 h = get_param(settingsBlock, 'handle');
 for n = 1:length(varargin)
     varargout{n} = evalin('base', get(h, varargin{n}));
 end